Subject: Re: (was Re: cp problem on Win95, mv question)
From: [email-masked] (Stefan Hornburg)

12 Jul 1997 20:21:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Original-To: [email-masked]
In-Reply-To: Alexander Hinds's message of Fri, 11 Jul 1997 00:39:46 -0700
X-Mailer: Gnus v5.3/Emacs 19.34
Original-Sender: [email-masked]

Alexander Hinds <[email-masked]> writes:

> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> At 05:28 PM 7/10/97 -0600, Mike Porter wrote:
> >
> >
> >On Thu, 10 Jul 1997, Mark Ruys wrote:
> >
> >> 
> >> 1) First a simple question with b18 and Windows NT. Is it true you 
> 
> >> can't `mv' files between disks. Namely,
> >> 
> >>   mv //c/work.txt //a
> >> 
> >> generates an error. I can manually cp and rm the files, but not 
> >> moving.
> >
> >I can't help with your other problems, but under Linux, at least, mv 
> can't
> >move accross volumes....even on the same disk if you are copying 
> across
> >partitions.  I don't necessarily know WHY this is happening, but it 
> is
> >consistent with the behavior of the GNU utilities.
> 
> That's because a mv does some (inode) magic within the filesystem - 
> nothing actually gets moved, except some pointers in the "FAT".  This 
> kind of operation doesn't make sense across file-systems.
> 
> Of course, you've got to wonder why the "mv" command just doesn't do 
> a cp/rm when moving across filesystems.  But, it's UNIX, I suppose, 
> that's answer enough.  ;-)
> 

Oh no, you can *mv* files across filesystems, but not directories!

racke#~ > df
Filesystem         1024-blocks  Used Available Capacity Mounted on
/dev/hdb2              96328   50835    40353     56%   /
/dev/hda2              49769   39954     7245     85%   /incoming
/dev/hdb6             495714  422647    47466     90%   /usr
/dev/hda7             118965   29263    83555     26%   /usr/src/redhat
/dev/hdb5              96278   81357     9784     89%   /home
/dev/hdb3             111443   97147     8349     92%   /lob
/dev/hdb7             192625  110761    71584     61%   /var/spool
racke#~ > mv /home/racke/tmp/dir /tmp
racke#~ > mv --version               
GNU fileutils 3.12
racke#~ > mv tmp/ /tmp
mv: cannot move `tmp' across filesystems: Not a regular file

-- 
This site is powered by Linux 2.1.42 and his friends
GNU CC 2.7.2, C Library 5.4.23, C++ Library 2.7.2.1, Binutils 2.8.1.0.1.
Surf to Racke's Webnode (URL: http://www.han.de/~racke)!
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".